Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.10
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## groovy.swing.factory
[Groovy] Class LayoutFactory

    java.lang.Object
      groovy.util.AbstractFactory
          groovy.swing.factory.BeanFactory
              groovy.swing.factory.LayoutFactory

    class LayoutFactory
    extends BeanFactory

Field Summary
`static String` | `DEFAULT_DELEGATE_PROPERTY_CONSTRAINT`
`static String` | `DELEGATE_PROPERTY_CONSTRAINT`

Fields inherited from class BeanFactory
leaf

Property Summary
`def` | `contextProps`

Constructor Summary
`LayoutFactory(Class klass)`
`LayoutFactory(Class klass, boolean leaf)`

Method Summary
`void` | `addLayoutProperties(def context, Class layoutClass)`
`void` | `addLayoutProperties(def context)`
`static def` | `constraintsAttributeDelegate(def builder, def node, def attributes)`
`static Container` | `getLayoutTarget(Container parent)`
`Object` | `newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)`
`void` | `setParent(FactoryBuilderSupport builder, Object parent, Object child)`

Methods inherited from class BeanFactory
isLeaf, newInstance

Methods inherited from class AbstractFactory
isHandlesNodeChildren, isLeaf, onFactoryRegistration, onHandleNodeAttributes, onNodeChildren, onNodeCompleted, setChild, setParent

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### DEFAULT_DELEGATE_PROPERTY_CONSTRAINT

    public static final String DEFAULT_DELEGATE_PROPERTY_CONSTRAINT

### DELEGATE_PROPERTY_CONSTRAINT

    public static final String DELEGATE_PROPERTY_CONSTRAINT

Property Detail

### contextProps

    def contextProps

Constructor Detail

### LayoutFactory

    LayoutFactory(Class klass)

### LayoutFactory

    LayoutFactory(Class klass, boolean leaf)

Method Detail

### addLayoutProperties

    void addLayoutProperties(def context, Class layoutClass)

### addLayoutProperties

    void addLayoutProperties(def context)

### constraintsAttributeDelegate

    static def constraintsAttributeDelegate(def builder, def node, def attributes)

### getLayoutTarget

    static Container getLayoutTarget(Container parent)

### newInstance

    Object newInstance(FactoryBuilderSupport builder, Object name, Object value, Map attributes)

### setParent

    void setParent(FactoryBuilderSupport builder, Object parent, Object child)

Copyright © 2003-2010 The Codehaus. All rights reserved.